VERSION 5.00
Begin VB.Form frmSysInfo 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "System Information"
   ClientHeight    =   5850
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5895
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "System Metric Information.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5850
   ScaleWidth      =   5895
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton CmdRefresh 
      Caption         =   "&Refresh"
      CausesValidation=   0   'False
      Default         =   -1  'True
      Height          =   375
      Left            =   2520
      TabIndex        =   2
      Top             =   5280
      Width           =   1455
   End
   Begin VB.TextBox txtMetrics 
      Height          =   4935
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   120
      Width           =   5655
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "&Close"
      Height          =   375
      Left            =   4320
      TabIndex        =   0
      Top             =   5280
      Width           =   1455
   End
End
Attribute VB_Name = "frmSysInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'
' API Constants
'
Private Const WM_SETREDRAW = &HB
Private Const EM_SETTABSTOPS = &HCB

'
' API Declarations
'
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" _
(ByVal hwnd As Long, ByVal wMsg As Long, _
ByVal wParam As Long, lParam As Long) As Long


'
' Local Variables
'
Dim sysM As cSysMetrics
Dim strLine As String

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub CmdRefresh_Click()
    RefreshInfo
End Sub

Private Sub Form_Load()

Dim tabsArr(2) As Long       ' Tab Stops Array

Set sysM = New cSysMetrics

'
' Fill the ListBox
'

' Set the tab Stops
tabsArr(0) = 130
tabsArr(1) = 190

SendMessage txtMetrics.hwnd, EM_SETTABSTOPS, 0&, 0&
SendMessage txtMetrics.hwnd, EM_SETTABSTOPS, 2, tabsArr(0)

txtMetrics.Text = "Click the Refresh Info Button to show the settings ...."
End Sub

Private Sub Form_Resize()
    strLine = String$((txtMetrics.Width \ Me.TextWidth("-")), "-")
End Sub

Private Sub RefreshInfo()
On Error Resume Next

Dim bVal As Boolean     ' Temporary Storages for Error Checking
Dim lVal As Long        '

SendMessage txtMetrics.hwnd, WM_SETREDRAW, 0&, 0&

txtMetrics.Text = ""
AddLine
AddText "Program Information", ""
AddLine
AddText "Author", "Eswar Santhosh"
AddText "e-mail", "eswar_santhosh@yahoo.com"
AddText "Site", "http://eswar_santhosh.tripod.com"
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "General Information", ""
AddLine
Select Case sysM.BootMode
Case bootNormal
    AddText "Boot Mode", "Normal "
Case bootSafe
    AddText "Boot Mode", "Safe Mode"
Case bootSafeNetwork
    AddText "Boot Mode", "Safe Mode with Networking Support"
End Select


AddText "Debug Version of User.exe", IIf(sysM.DebugVersion, "Detected", "Not Detected")
AddText "Network", IIf(sysM.NetworkPresent, "Detected", "Not Detected")
AddText "Pen Support Enabled", IIf(sysM.PenSupport, "Yes", "No")
AddText "Low level CPU (Slow Machine)", IIf(sysM.SlowMachine, "Yes", "No")
AddText "Secure System", IIf(sysM.Secure, "Yes", "No")
AddText "Show Sounds Settings Enabled", IIf(sysM.ShowSounds, "Yes", "No")

bVal = sysM.TerminalServicesClientSession
If Err.Number <> 0 Then
    AddText "Remote Session", "Unsupported"
Else
    AddText "Remote Session", IIf(bVal, "Yes", "No")
End If
Err.Clear
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Language Support", ""
AddLine
AddText "DBCS Support", IIf(sysM.DBCSEnabled, "Installed", "Not Installed")
AddText "Support for Arabic and Hebrew", IIf(sysM.MidEastSupport, "Present", "Absent")
AddText "Kanji Window Height", Str$(sysM.KanjiWindowHeight)
bVal = sysM.IMMEnabled
If Err.Number <> 0 Then
    AddText "Input Method Editor", "Not Supported"
Else
    AddText "Input Method Editor", IIf(bVal, "Enabled", "Disabled")
End If
Err.Clear
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Multiple Monitors Information", ""
AddLine

lVal = sysM.MonitorsCount

If Err.Number <> 0 Then
    AddText "No. of Monitors", "Unsupported"
Else
    AddText "No. Of Monitors ", Str$(lVal)
End If
Err.Clear
    
bVal = sysM.SameColorFormat
If Err.Number = 0 Then
    AddText "All Monitors have Same color format", IIf(bVal, "Yes", "No")
End If
Err.Clear

lVal = sysM.VirtualScreenSize(vLeft)
If Err.Number = 0 Then
    AddText "Virtual Screen Left", Str$(lVal)
End If
Err.Clear

lVal = sysM.VirtualScreenSize(vTop)
If Err.Number = 0 Then
    AddText "Virtual Screen Top", Str$(lVal)
End If
Err.Clear

lVal = sysM.VirtualScreenSize(vWidth)
If Err.Number = 0 Then
    AddText "Virtual Screen Width", Str$(lVal)
End If
Err.Clear

lVal = sysM.VirtualScreenSize(vHeight)
If Err.Number = 0 Then
    AddText "Virtual Screen Height", Str$(lVal)
End If
Err.Clear
AddLine
AddBlankLine
AddBlankLine


AddLine
AddText "Mouse Information", ""
AddLine
AddText "Mouse Installed", IIf(sysM.MouseInstalled, "Yes", "No")
AddText "No. of Mouse Buttons", Str$(sysM.MouseButtons)

bVal = sysM.MouseWheelPresent

If Err.Number <> 0 Then
    AddText "Mouse Wheel Present", "Unsupported Function"
Else
    AddText "Mouse Wheel Present", IIf(bVal, "Yes", "No")
End If
Err.Clear

AddText "Mouse Button functions swapped", IIf(sysM.SwapButtons, "Yes", "No")
AddText "Double Click Rectangle Width", Str$(sysM.RectSize(DoubleClickWidth))
AddText "Double Click Rectangle Height", Str$(sysM.RectSize(DoubleClickHeight))
AddText "Drag Tolerance Rectangle Width", Str$(sysM.RectSize(DragAreaWidth))
AddText "Drag Tolerance Rectangle Height", Str$(sysM.RectSize(DragAreaHeight))
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Minimized Window Arrangements : ", ""
AddLine
Select Case sysM.ArrangementStart
Case easBottomLeft
    AddText "Starts from", "Bottom Left"
Case easBottomRight
    AddText "Starts from", " Bottom Right"
Case easTopLeft
    AddText "Starts from", "Top Left"
Case easTopRight
    AddText "Starts from", "Top Right"
Case easHide
    AddText "Starts from", "Hides Minimized Windows"
End Select

Select Case sysM.ArrangementDirection
Case eadLeft
    AddText "Direction", "Left"
Case eadRight
    AddText "Direction", "Right"
Case eadUp
    AddText "Direction", "Upwards"
Case eadDown
    AddText "Direction", "Downwards"
End Select

AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Border Dimensions :", ""
AddLine
AddText "3D Border Width", Str$(sysM.BorderSize(Border3DWidth))
AddText "3D Border Height", Str$(sysM.BorderSize(Border3DHeight))
AddText "Border Width", Str$(sysM.BorderSize(BorderWidth))
AddText "Border Height", Str$(sysM.BorderSize(BorderHeight))
AddText "Frame Width  (Fixed Dialog)", Str$(sysM.BorderSize(FixedDialogFrameWidth))
AddText "Frame Height (Fixed Dialog)", Str$(sysM.BorderSize(FixedDialogFrameHeight))
AddText "Frame Width  (Sizable Window)", Str$(sysM.BorderSize(SizableWindowFrameWidth))
AddText "Frame Height (Sizable Window)", Str$(sysM.BorderSize(SizableWindowFrameHeight))
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Icon Metrics : ", "Width x Height"
AddLine
AddText "Large Icon Size", Str$(sysM.IconSize(IconWidth)) & " x " & Str$(sysM.IconSize(IconHeight))
AddText "Small Icon Recommended Size", Str$(sysM.IconSize(SmallIconWidth)) & " x " & Str$(sysM.IconSize(SmallIconHeight))
AddText "Cursor Size", Str$(sysM.IconSize(CursorWidth)) & " x " & Str$(sysM.IconSize(CursorHeight))
AddText "Icon Grid Size in Large Icon View", Str$(sysM.IconSize(IconSpacingWidth)) & " x " & Str$(sysM.IconSize(IconSpacingHeight))
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "ScrollBar Metrics", "Width x Height"
AddLine
AddText "Horizontal Scrollbar Size", Str$(sysM.ScrollBarSize(HorizontalWidth)) & " x " & Str$(sysM.ScrollBarSize(HorizontalHeight))
AddText "Thumb Width", Str$(sysM.ScrollBarSize(HorizontalThumbWidth))
AddText "Vertical Scrollbar Size", Str$(sysM.ScrollBarSize(VerticalWidth)) & " x " & Str$(sysM.ScrollBarSize(VerticalHeight))
AddText "Thumb Height", Str$(sysM.ScrollBarSize(VerticalThumbHeight))
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Menu Metrics", ""
AddLine
AddText "Drop down Menu Alignment", IIf(sysM.MenuDropAlignRight, "Right", "Left")
AddText "Menu Bar Height", Str$(sysM.NonClientSize(MenuBarHeight))
AddText "Checkmark Width", Str$(sysM.NonClientSize(MenuCheckMarkWidth))
AddText "Checkmark Height", Str$(sysM.NonClientSize(MenuCheckMarkHeight))
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Non-Client Metrics", ""
AddLine
AddText "Normal Titlebar Height", Str$(sysM.NonClientSize(TitlebarHeight))
AddText "Tool Window Titlebar Height", Str$(sysM.NonClientSize(SmallCaptionHeight))
AddBlankLine
AddText "Button Sizes in", "Width x Height"
AddBlankLine
AddText "Normal Titlebar", Str$(sysM.NonClientSize(TitleBarButtonWidth)) & " x " & Str$(sysM.NonClientSize(TitleBarButtonHeight))
AddText "Tool Window Titlebar", Str$(sysM.NonClientSize(SmallCaptionButtonWidth)) & " x " & Str$(sysM.NonClientSize(SmallCaptionButtonHeight))
AddText "Menu Bar", Str$(sysM.NonClientSize(MenuBarButtonWidth)) & " x " & Str$(sysM.NonClientSize(MenuBarButtonHeight))

AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Screen Metrics", "Width x Height"
AddLine
AddText "Screen Size", Str$(sysM.ScreenWidth) & " x " & Str$(sysM.ScreenHeight)
AddText "Full Screen Client Size", Str$(sysM.WindowSize(FullScreenClientWidth)) & " x " & Str$(sysM.WindowSize(FullScreenClientHeight))
AddText "Size allotted for Minimized Windows", Str$(sysM.WindowSize(MinimizedWindowGridWidth)) & " x " & Str$(sysM.WindowSize(MinimizedWindowGridHeight))
AddLine
AddBlankLine
AddBlankLine

AddLine
AddText "Window Metrics", "Width x Height"
AddLine
AddText "Minimum Size", Str$(sysM.WindowSize(MinimumWidth)) & " x " & Str$(sysM.WindowSize(MinimumHeight))
AddText "Default Minimized Window Size", Str$(sysM.WindowSize(DefaultMinimizedWidth)) & " x " & Str$(sysM.WindowSize(DefaultMinimizedHeight))
AddText "Default Maximized Window Size", Str$(sysM.WindowSize(DefaultMaximizedWidth)) & " x " & Str$(sysM.WindowSize(DefaultMaximizedHeight))
AddText "Minuimum Tracking Size", Str$(sysM.WindowSize(MinimumSizableWidth)) & " x " & Str$(sysM.WindowSize(MinimumSizableHeight))
AddText "Maximum Tracking Size", Str$(sysM.WindowSize(MaximumSizableWidth)) & " x " & Str$(sysM.WindowSize(MaximumSizableHeight))

AddLine
AddBlankLine


' Paint the ListBox
SendMessage txtMetrics.hwnd, WM_SETREDRAW, 1&, 0&

End Sub

Private Sub AddText(ByVal strType As String, ByVal strValue As String)
    txtMetrics.Text = txtMetrics.Text & vbCrLf & strType & vbTab & strValue
End Sub

Private Sub AddBlankLine()
    txtMetrics.Text = txtMetrics.Text & vbCrLf
End Sub

Private Sub AddLine()
    txtMetrics.Text = txtMetrics.Text & vbCrLf & strLine
End Sub

